org.springframework.web.reactive.result.condition

## Interface NameValueExpression<T>

Type Parameters:
  `T` - the value type

    public interface NameValueExpression<T>

A contract for `"name!=value"` style expression used to specify request parameters and request header conditions in `@RequestMapping`.

Since:
  5.0
Author:
  Rossen Stoyanchev

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getName()`
`T` `getValue()`
`boolean` `isNegated()`

### Method Detail

#### getName

    String getName()

#### getValue

    @Nullable
    T getValue()

#### isNegated

    boolean isNegated()